Commit 5252fa45 authored by Yuchen Deng's avatar Yuchen Deng Committed by Joerg Bornemann
Browse files

qbs files: Enable 'Help' plugin for Qt5



Change-Id: Ib8c7692984eae2d4b9e865837f4ef6970524a87f
Reviewed-by: default avatarJoerg Bornemann <joerg.bornemann@nokia.com>
parent 4cac9644
......@@ -5,15 +5,29 @@ import "../QtcPlugin.qbs" as QtcPlugin
QtcPlugin {
name: "Help"
condition: qtcore.versionMajor === 4
Depends { id: qtcore; name: "qt.core" }
Depends { name: "qt"; submodules: ['widgets', 'help', 'webkit', 'network'] }
Depends { id: qtcore; name: "Qt.core" }
Depends {
condition: qtcore.versionMajor == 4
name: "Qt"; submodules: ["widgets", "help", "webkit", "network"]
}
Depends {
condition: qtcore.versionMajor >= 5
name: "Qt"; submodules: ["widgets", "help", "network", "printsupport"]
}
Depends { name: "Core" }
Depends { name: "Find" }
Depends { name: "Locator" }
Depends { name: "cpp" }
cpp.defines: base.concat(["QT_CLUCENE_SUPPORT"])
Properties {
condition: qtcore.versionMajor >= 5
cpp.defines: base.concat(["QT_NO_WEBKIT"])
}
cpp.defines: base.concat([
"QT_CLUCENE_SUPPORT",
"HELP_LIBRARY"
])
cpp.includePaths: [
"../../shared/help",
".",
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment